Skip to main content
GET
/
api
/
v1
/
subscribers
/
{email}
/
consents
List a subscriber's consents
curl --request GET \
  --url https://api.railmail.app/api/v1/subscribers/{email}/consents \
  --header 'X-API-Key: <api-key>'
{
  "subscriberEmail": "jsmith@example.com",
  "globallySuppressed": true,
  "consents": [
    {
      "topicKey": "<string>",
      "topicName": "<string>",
      "status": "<string>",
      "grantedAt": "2023-11-07T05:31:56Z",
      "confirmedAt": "2023-11-07T05:31:56Z",
      "revokedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Project-scoped API key, format rm_(live|test)_... . May also be sent as Authorization: Bearer rm_....

Path Parameters

email
string<email>
required

URL-encoded subscriber email.

Response

Consent preferences

subscriberEmail
string<email>
globallySuppressed
boolean
consents
object[]